## PhoshDockedInfo

PhoshDockedInfo — A widget to display the docked status

## Functions

GtkWidget * | phosh_docked_info_new ()

## Properties

gboolean | enabled | Read
gboolean | present | Read

## Types and Values

#define | PHOSH_TYPE_DOCKED_INFO
| PhoshDockedInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshDockedInfo

## Implemented Interfaces

PhoshDockedInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshDockedInfo displays whether the device is docked

## Functions

### phosh_docked_info_new ()

    GtkWidget *
    phosh_docked_info_new (void);

## Types and Values

### PHOSH_TYPE_DOCKED_INFO

    #define PHOSH_TYPE_DOCKED_INFO (phosh_docked_info_get_type ())

### PhoshDockedInfo

    typedef struct _PhoshDockedInfo PhoshDockedInfo;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether the docked is enabled.

Owner: PhoshDockedInfo

Flags: Read

Default value: FALSE

### The `“present”` property

      “present”                  gboolean

Whether docked hardware is present.

Owner: PhoshDockedInfo

Flags: Read

Default value: FALSE